curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1"
{
"id": 1,
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools/a1b2c3d4e5f6a1b2",
"tool_count": 3,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
}
Retrieve a single MCP server by ID.
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1"
{
"id": 1,
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools/a1b2c3d4e5f6a1b2",
"tool_count": 3,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
}
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers/1"
{
"id": 1,
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools/a1b2c3d4e5f6a1b2",
"tool_count": 3,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
}